.SUFFIXES: .o .f90

F90    = $(FC)
C_C     = $(CC)

ifeq ($(C_C),pgcc)
  CCFLAGS += -O0 -g
endif
ifeq ($(FC),pgf90)
# FFLAGS += -Mnosave -O -Mbounds
# FFLAGS += -Mnosave -O  -Ktrap=fp
  FFLAGS += -Mnosave -O0 -g -C
# FFLAGS += -Mnosave -O
endif

ifeq ($(FC),pgf95)
# FFLAGS += -Mnosave -O -Mbounds -Ktrap=fp
# FFLAGS += -Mnosave -O0 -Ktrap=fp
# FFLAGS += -Mnosave -O0
  FFLAGS += -Mnosave -O
endif

ifeq ($(C_C),gcc)
  CCFLAGS += -O -std=c99
endif
ifeq ($(FC),gfortran)
  FFLAGS += -ffree-line-length-none -O
endif

ifeq ($(FC),lf95)
  FFLAGS += --nap --chk --pca --nsav --trace --trap --wide
endif

ifeq ($(C_C),icc)
  CCFLAGS += -O -std=99
endif
ifeq ($(FC),ifort)
  FFLAGS += -fpe0 -ftrapuv -O
endif

EXEC = Sphtst.sp.exe 

OBJS = Sphere_utils.sp.o Sphtst.sp.o

##dependencies
#$(OBJECTS) : makefile

${EXEC} :       ${OBJS}
		${F90} -o $@ ${OBJS} ${LIBS} 

.f90.o:
		${F90} ${FFLAGS} -c ${INCLUDE_MODULES} $<

.c.o:
		${C_C} ${CCFLAGS} -c ${INCLUDE_MODULES} $<

cleanup:
		rm -f ${OBJS} *.mod

clean:
		rm -f core ${EXEC} ${OBJS} *.mod
