
   program tst_atan2

   implicit none

   real :: pi, r2d
   real :: x, y, angles(2)
   real :: xb, yb

   pi = 4.*atan(1.)
   r2d = 180/pi
   
   xb = .3
   yb = sqrt( 1. - xb*xb )

   write(*,*) 'xb,yb = ', xb,yb
   write(*,*) 'xb^2 + yb^2 = ',xb*xb + yb*yb

   x = xb ; y = yb
   angles(1) = atan(x/y)
   angles(2) = atan2(x,y)
   write(*,*) 'x,y = ', x,y
   write(*,*) 'angles = ',r2d*angles(:)

   x = xb ; y = -yb
   angles(1) = atan(x/y)
   angles(2) = atan2(x,y)
   write(*,*) 'x,y = ', x,y
   write(*,*) 'angles = ',r2d*angles(:)

   x = -xb; y = yb
   angles(1) = atan(x/y)
   angles(2) = atan2(x,y)
   write(*,*) 'x,y = ', x,y
   write(*,*) 'angles = ',r2d*angles(:)

   x = -xb ; y = -yb
   angles(1) = atan(x/y)
   angles(2) = atan2(x,y)
   write(*,*) 'x,y = ', x,y
   write(*,*) 'angles = ',r2d*angles(:)


   endprogram tst_atan2
